Subject: bug#18743: 25.0.50; Clang 3.0 fails to compile src/fns.c, GCC 4.8 cannot dump emacs

From: Peter Dyballa <[email-masked]>
Date: Sun, 3 Dec 2017 21:28:02 +0100

Am 3.12.2017 um 21:01 schrieb Noam Postavsky:

> it was not clear to me which clang versions were current at the
> time of the original report (i.e., if 3.0 represented the "latest and
> greatest", or something else).

Clang 3.0 was released at the end of 2011. I think in 2012 it was available with Xcode 2.0. At the time I submitted the bug Clang 3.5 was out, but not as part of an updated Xcode version. I think I was just testing my various Clang versions (due to packet dependencies) then and did not mention that just this one version had the problem.

So yes, it can be closed as a compiler bug.

--
Greetings

  Pete

From error to error, one discovers the entire truth.
				- Sigmund Freud